Part Ellipsoid: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
(29 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>


Line 7: Line 6:
|[[Part_Plane|Plane]]
|[[Part_Plane|Plane]]
|[[Part_Prism|Prism]]
|[[Part_Prism|Prism]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Plane.svg
|IconL=Part_Plane.svg
|IconR=Part_Prism.svg
|IconR=Part_Prism.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}



<!--T:1-->
<!--T:1-->
Line 18: Line 16:
|Name=Part Ellipsoid
|Name=Part Ellipsoid
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Ellipsoid
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Ellipsoid
|Workbenches=[[Part_Module|Part]], [[OpenSCAD_Module|OpenSCAD]]
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Create primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


Line 25: Line 23:


<!--T:18-->
<!--T:18-->
A [[Image:Part_Ellipsoid.svg|24px]] '''Part Ellipsoid''' is a parametric solid that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.
The [[Image:Part_Ellipsoid.svg|24px]] [[Part_Ellipsoid|Part Ellipsoid]] command creates a parametric Ellipsoid solid.


<!--T:12-->
<!--T:25-->
A Part Ellipsoid can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of an ellipsoid by changing its {{PropertyData|Angle3}} property.
The shape produced is limited in FreeCAD to being a solid (optionally truncated) spheroid, the shape you would create by rotating an ellipse around one of its axis. By default it is a [http://en.wikipedia.org/wiki/Oblate_spheroid Oblate Spheroid], the shape you would create by rotating an ellipse around its minor axis. The parameters can be changed to form a [http://en.wikipedia.org/wiki/Prolate_spheroid Prolate Spheroid].


</translate>
<!--T:13-->
[[Image:Part_Ellipsoid_Example.png|400px]]
The default spheroid in FreeCAD will have a circle for any cross section parallel to the XY plane. The cross section parallel to the other two planes will be an ellipse.
<translate>


<!--T:14-->
== Usage == <!--T:19-->
In mathematics, an [http://en.wikipedia.org/wiki/Ellipsoid Ellipsoid] would have an elliptical cross section in all three planes.


==Usage== <!--T:19-->
<!--T:26-->
See [[Part_Primitives#Usage|Part Primitives]].


<!--T:20-->
== Example == <!--T:27-->
A parametric Ellipsoid solid is available from the Create Primitives dialogue in the Part workbench.
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Module|Part Workbench]]
# Access the Ellipsoid command several ways:
#* Through the Create Primitives dialogue, pressing the [[Image:Part_Primitives.svg|32px]] [[Part_Primitives|Primitives]] button located in the Part toolbar
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Ellipsoid}} entry in the Part menu


==Properties== <!--T:3-->
<!--T:28-->
[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]


<!--T:15-->
<!--T:29-->
A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.
* Radius 1, by default the minor radius parallel to the Z-axis,
* Radius 2, by default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
* Angle 1, lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
* Angle 2, upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
* Angle 3, angle of rotation of the elliptical cross section (360 degrees in a full spheroid)


== Properties == <!--T:3-->


<!--T:17-->
<!--T:30-->
See also: [[Property_editor|Property editor]].
[[Image:Part_Ellipsoid_screenshot.jpg]]

<!--T:31-->
A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data === <!--T:32-->

<!--T:33-->
{{TitleProperty|Attachment}}

<!--T:34-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:35-->
{{TitleProperty|Ellipsoid}}

<!--T:36-->
* {{PropertyData|Radius1|Length}}: The radius of the ellipsoid in its Z direction. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the ellipsoid in its X direction. The default is {{Value|4mm}}.
* {{PropertyData|Radius3|Length}}: The radius of the ellipsoid in its Y direction. The default is {{Value|4mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt;&#61; value &lt; 90°}}. Must be smaller than {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt; value &lt;&#61; 90°}}. Must be larger than {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the elliptical sides is smaller than {{Value|180°}} the ellipsoid will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.

== Scripting == <!--T:37-->

<!--T:38-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:39-->
A Part Ellipsoid can be created with the {{Incode|addObject()}} method of the document:

</translate>
{{Code|code=
ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
}}
<translate>

<!--T:40-->
* Where {{Incode|"myEllipsoid"}} is the name for the object.
* The function returns the newly created object.

<!--T:41-->
Example:

</translate>
{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()
}}
<translate>




Line 63: Line 117:
|[[Part_Plane|Plane]]
|[[Part_Plane|Plane]]
|[[Part_Prism|Prism]]
|[[Part_Prism|Prism]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Plane.svg
|IconL=Part_Plane.svg
|IconR=Part_Prism.svg
|IconR=Part_Prism.svg
Line 70: Line 124:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:07, 3 March 2022

Part Ellipsoid

Menu location
Part → Create primitives → Ellipsoid
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DataAngle1 and/or DataAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DataAngle3 property.

Usage

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DataRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DataRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DataRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DataAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DataAngle2. The default is -90°.
  • DataAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DataAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DataAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()